[Rainmeter]
Author=GADJ

[Variables]
Font=Denton
Color=241,68,68
Color2=255,255,255
Color3=68,190,241
Size=16
Size2=12
Size3=12
FontSize=25
;=====================================================
;[Measures]
;=====================================================

[mBin]
Measure=Plugin
Plugin=RecycleManager.dll
Drives=ALL
RecycleType=COUNT

[mFileSize]
Measure=Plugin
Plugin=RecycleManager.dll
Drives=ALL
RecycleType=SIZE

;=====================================================
;[Meters]
;=====================================================
[Text]
Meter=STRING
X=119
Y=10
FontSize=#FontSize#
StringAlign=Center
FontColor=#Color2#
FontFace=#Font#
AntiAlias=#NoAntiAlias#
Text="TRASH"

[mBinEmpty]
Meter=STRING
X=160
Y=52
FontSize=#Size#
StringAlign=CENTER
FontColor=#Color2#
FontFace=#Font#
AntiAlias=#NoAntiAlias#
Hidden=0
Text="EMPTY"


[mBinFull]
Meter=STRING
X=160
Y=52
FontSize=#Size#
StringAlign=CENTER
FontColor=#Color#
FontFace=#Font#
AntiAlias=#NoAntiAlias#
Hidden=1
Text="FULL"



[Check]
Measure=Calc
Formula=mBin
IfAboveValue=0
IfAboveAction=!execute [!RainmeterHideMeter mBinEmpty][!RainmeterShowMeter mBinFull][!RainmeterShowMeter FileCount][!RainmeterShowMeter FileSize][!RainmeterRedraw]
[Check2]
Measure=Calc
Formula=mBin
IfEqualValue=0
IfEqualAction=!execute [!RainmeterHideMeter mBinFull][!RainmeterShowMeter mBinEmpty][!RainmeterHideMeter FileCount1][!RainmeterHideMeter FileCount][!RainmeterHideMeter FileSize][!RainmeterRedraw] 
[Check3]
Measure=Calc
Formula=mBin
IfEqualValue=1
IfEqualAction=!execute [!RainmeterHideMeter FileCount][!RainmeterShowMeter FileCount1][!RainmeterRedraw]

;=====================================================
;[Graphics]
;=====================================================


[FileCount]
Meter=STRING
MeasureName=mBin
FontColor=#Color3#
FontSize=#Size3#
FontFace=#Font#
StringStyle=Bold
StringAlign=Right
StringEffect=SHADOW
X=235
Y=81
Postfix=" items"
Text=%1
hidden=1
AntiAlias=1


[FileCount1]
Meter=STRING
MeasureName=mBin
FontColor=#Color3#
FontSize=#Size3#
FontFace=#Font#
StringStyle=Bold
StringAlign=Right
StringEffect=SHADOW
X=235
Y=81
Postfix=" item"
hidden=1
Text=%1
AntiAlias=1

[FileSize]
Meter=STRING
MeasureName=mFileSize
FontColor=#Color#
FontSize=#Size2#
FontFace=#Font#
StringStyle=Bold
StringAlign=Right
StringEffect=SHADOW
X=235
Y=102
Text=%1
Postfix="B"
AntiAlias=1
AutoScale=1
NumOfDecimals=2

;=====================================================
;[Lines]
;=====================================================


[Line1]
Meter=IMAGE
X=5
Y=50
H=3
W=231
SolidColor=255,255,255,50

[Line2]
Meter=IMAGE
X=5
Y=120
H=3
W=231
SolidColor=255,255,255,50

[Line3]
Meter=IMAGE
X=5
Y=53
H=67
W=3
SolidColor=255,255,255,50

[Line4]
Meter=IMAGE
X=233
Y=53
H=67
W=3
SolidColor=255,255,255,50

[Line5]
Meter=IMAGE
X=80
Y=77
H=2
W=153
SolidColor=255,255,255,50

[Line6]
Meter=IMAGE
X=80
Y=100
H=2
W=153
SolidColor=255,255,255,50

[Line7]
Meter=IMAGE
X=5
Y=0
H=3
W=231
SolidColor=255,255,255,50

[Line8]
Meter=IMAGE
X=5
Y=3
H=47
W=3
SolidColor=255,255,255,50

[Line9]
Meter=IMAGE
X=233
Y=3
H=47
W=3
SolidColor=255,255,255,50

=====================================================

[button1]
Meter=IMAGE
X=11
Y=56
H=60
W=60
ImageName=bmw.png
AntiAlias=1
LeftMouseDownAction=!execute [::{645FF040-5081-101B-9F08-00AA002F954E}]


